> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

> 向现有 Devin 会话发送消息，以提供补充说明或信息。

# 向会话发送消息



## OpenAPI

````yaml zh/v1-openapi.yaml POST /v1/sessions/{session_id}/message
openapi: 3.1.0
info:
  description: Devin v1 API：个人 API key 与服务 API key
  title: Devin API v1
  version: 1.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v1/sessions/{session_id}/message:
    post:
      summary: 向会话发送消息
      description: 向正在运行的 Devin 会话发送消息。会话必须处于运行状态才能接收消息。成功时返回 null；如果会话已被挂起，则返回一条详细信息。
      operationId: post_message_to_session_v1_sessions__session_id__message_post
      parameters:
        - in: path
          name: session_id
          required: true
          schema:
            title: Session Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PostMessageParams'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/MessageSentResponse'
                  - type: 'null'
                title: >-
                  Response Post Message To Session V1 Sessions  Session Id 
                  Message Post
          description: 成功响应
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 验证错误
components:
  schemas:
    PostMessageParams:
      properties:
        message:
          title: Message
          type: string
      required:
        - message
      title: PostMessageParams
      type: object
    MessageSentResponse:
      description: 当向已处于特定状态的会话发送消息时返回的响应。
      properties:
        detail:
          title: Detail
          type: string
      required:
        - detail
      title: MessageSentResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 个人 API Key（apk_user_\*）或服务 API Key（apk_\*）
      scheme: bearer
      type: http

````